PLAYDV(1)

NAME
playdv - display digital video streams on screen

SYNOPSIS
playdv [ options ] file

DESCRIPTION
playdv reads in DV-encoded video data from file and displays it on screen.

-v, --version
    show playdv version number.

--disable-audio
    skip audio decoding.

--disable-video
    skip video decoding.

-n, --num-frames=count
    stop playing after count frames.

--dump-frames=pattern
    save a PPM image of each frame to an individual file. pattern determines the file names and may be given in printf-style taking one numeric argument that gets replaced with the current frame number. Like capture%05d.ppm for files capture00001.ppm, capture00002.ppm, etc. Use - to stream the frames to stdout.

--no-mmap
    don't use mmap for reading (useful for pipes).

-l, --loop-count=count
    loop playback count= times, 0 for infinite.

Audio Output Options

--audio-device=devicename
    target audio device; e.g. /dev/dsp, which is also the default.

--audio-file=file
    send raw decoded audio stream to file, skipping audio ioctls.

--audio-mix=(-16 .. 16)
    mixing level of 4 channel audio for 32KHz 12bit. 0 [default]. -16 selects second channel, 16 selects first channel.

Video Output Options

-d, --display=(0|1|2|3)
    method used to display video data on screen: 0=autoselect [default], 1=gtk, 2=Xv, 3=SDL. Xv is usually the fastest but requires XFree86 version 4.0 or higher with XVideo extensions.

--aspect=(n|w|normal|wide)
    video display aspect ratio (for Xv only): n=normal 4:3, w=wide 16:9 . Not all window manager support resizing at fixed aspect ratio. If they do, resizing is done at fixed aspect ratio.

--size=(10 .. 100)
    initial scaleing percentage (for Xv only): 10 <= n <= 100.

Decoder Options

-V, --video-system=(0|1|2|3)
    sets the video standard of the incoming DV data: 0=autoselect [default], 1=525/60 4:1:1 (NTSC), 2=625/50 4:2:0 (PAL,IEC 61834 DV), 3=625/50 4:1:1 (PAL,SMPTE 314M DV). Autoselect usually works fine. Only use this option if you know what you are doing.

Video Decode Options

-q, --quality=(1|2|3)
    quality level of desired video decoding. The process of decoding DV data is split into several steps. Each additional step enhances output quality, but of course also slows down decoding. If your machine is too slow to keep up an interactive frame rate, you might want to decrease this number: 1=DC and no ACs, 2=DC and single-pass for ACs, 3=DC and multi-pass for ACs [default].

-m, --monochrome
    skip decoding of color blocks. Another way to speed up the decoding process.

Audio Decode Options

-f, --frequency=(0|1|2|3)
    frequency of audio data in the input stream: 0=autodetect [default], 1=32 kHz, 2=44.1 kHz, 3=48 kHz.

-Q, --quantization=(0|1|2)
    dynamic range of audio data in the input stream: 0=autodetect [default], 1=12 bit, 2=16bit.

-e, --emphasis=(0|1|2)
    first-order preemphasis of 50/15 us: 0=autodetect [default], 1=on, 2=off.

Help Options

-?, --help
    Show help message. Use this command to get a brief description of available options.

--usage
    Display brief usage message.

SEE ALSO
dvconnect(1),dubdv(1),encodedv(1).

AVAILABILITY
See http://libdv.sourceforge.net/ for the latest version.

AUTHORS
playdv was written by Charles 'Buck' Krasic <krasic@acm.org> and Erik Walthinsen <omega@cse.ogi.edu>.

This manual page is based on playdv's help message and was written by Daniel Kobras <kobras@debian.org> for the Debian GNU/Linux system (but may be used by others).